*, *:before, *:after {
  box-sizing: border-box;
}

html, body, div, span, object, iframe, figure, h1, h2, h3, h4, h5, h6, p, blockquote, pre, a, code, em, img, small, strike, strong, tt, b, u, i, ol, ul, li, fieldset, form, label, table, caption, tbody, tfoot, thead, tr, th, td, main, canvas, embed, footer, header, nav, section, video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
  text-rendering: optimizeLegibility;
  -webkit-font-smoothing: antialiased;
  text-size-adjust: none;
}

footer, header, nav, section, main {
  display: block;
}

body {
  line-height: 1;
}

blockquote, q {
  quotes: none;
}

blockquote:before, blockquote:after, q:before, q:after {
  content: '';
  content: none;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
}

input {
  -webkit-appearance: none;
  border-radius: 0;
}

@font-face {
  font-family: 'Regular';
  font-display: swap;
  font-style: normal;
  src: url(font/montserrat-regular.woff2);
}

@font-face {
  font-family: 'Semi';
  font-display: swap;
  font-style: normal;
  src: url(font/montserrat-semibold.woff2);
}

@font-face {
  font-family: 'Bold';
  font-display: swap;
  font-style: normal;
  src: url(font/montserrat-bold.woff2);
}

h1 {
  font-family: Bold;
  font-size: 60px;
  color: #ffffff;
  text-align: center;
  text-transform: uppercase;
  margin: 30px auto 20px;
  line-height: 1.2;
}

.welcome-subhead {
  color: #ffffff;
  text-align: center;
  width: 380px;
  line-height: 1.2;
  font-size: 22px;
}

body {
  background-image: url(assets/bg.webp);
  font-family: Regular;
}

.main {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  padding: 5vh 5vw;
}

.logo {
  width: 272px;
  height: 96px;
  margin-bottom: 60px;
}

.poll-form {
  max-width: 720px;
  width: 100%;
  position: relative;
}

.poll-form::after {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: #333333af url("assets/loading.gif") center/50px no-repeat;
  opacity: 0;
  visibility: hidden;
  transition: ease .3s;
}

.poll-form._sending::after {
  opacity: 1;
  visibility: visible;
}

legend {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: 0 auto;
  text-align: center;
  line-height: 1.15;
  color: #002E7B;
}

.head {
  font-size: 24px;
  font-family: Semi;
  margin-bottom: 30px;
}

.subhead {
  max-width: 530px;
  width: 100%;
  font-size: 18px;
  margin-bottom: 40px;
}

.nav-btns {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}

.btn {
  padding: 14px 70px;
  margin: 20px 10px 0 20px;
  box-shadow: 5px 5px 10px rgba(190, 20, 81, 0.05);
  border-radius: 5px;
  cursor: pointer;
  transition: ease .3s;
  font-size: 18px;
  font-family: Semi;
}

.prev {
  border: 2px solid #C60E4C;
  color: #C60E4C;
}

.btn-disabled {
  border: 2px solid #B7BAC7;
  color: #B7BAC7;
  cursor: default;
}

.prev:hover {
  border: 2px solid #C60E4C;
  background-color: #C60E4C;
  color: #ffffff;
}

.next {
  color: #ffffff;
  background-color: #C60E4C;
  border: 2px solid #C60E4C;
}

.next:hover {
  background-color: #df0626;
  border: 2px solid #df0626;
}

.input-block {
  display: flex;
  flex-direction: column;
}

.input-block label {
  margin-bottom: 12px;
  color: #002E7B;
  font-size: 18px;
  font-family: Semi;
}

input, textarea {
  padding: 22px;
  border-radius: 5px;
  border: 2px solid #ffffff;
  filter: drop-shadow(10px 10px 20px rgba(24, 106, 169, 0.1));
  outline: none;
  transition: ease .3s;
  color: #002E7B;
  font-size: 18px;
  font-family: Regular;
}

textarea {
  background-color: #EAF4F5;
  border: 0.5px solid rgba(102, 115, 139, 0.5);
  width: 100%;
}

.input::placeholder, textarea::placeholder {
  color: #B7BAC7;
  font-family: Regular;
  font-size: 18px;
  opacity: 1;
  transition: opacity .3s ease;
}

.input:focus {
  border: 2px solid #C60E4C;
}

.input:focus::placeholder, textarea:focus::placeholder {
  opacity: 0;
}

input[type="checkbox"] {
  appearance: none;
  background-color: #E7F2F4;
  margin: 0;
  width: 1.15em;
  min-width: 1.15em;
  height: 1.15em;
  border: 0.5px solid rgba(102, 115, 139, 0.5);
  border-radius: 3px;
  padding: 2px;
}

input[type="checkbox"]:checked {
  display: grid;
  place-content: center;
}

input[type="checkbox"]::before {
  content: '';
  width: .8em;
  height: .8em;
  transform: scale(0);
  transition: ease .2s;
  box-shadow: inset 1em 1em #C60E4C;
  border-radius: 3px;
}

input[type="checkbox"]:checked::before {
  transform: scale(1);
}

summary {
  font-size: 18px;
  font-family: Bold;
  color: #C60E4C;
  padding: 22px;
  background: linear-gradient(107.97deg, #FFFFFF 30.2%, rgba(255, 255, 255, 0) 97.17%);
  border: 2px solid #FFFFFF;
  filter: drop-shadow(10px 10px 20px rgba(24, 106, 169, 0.1));
  backdrop-filter: blur(5px);
  border-radius: 5px;
  list-style: none;
  position: relative;
  margin-bottom: 30px;
  cursor: pointer;
}

details summary::before {
  content: url("data:image/svg+xml;charset=UTF-8,<svg xmlns='http://www.w3.org/2000/svg' version='1.1' height='15' width='31'><path fill-rule='evenodd' clip-rule='evenodd' d='M0.616495 3.06154L14.0116 14.4747C14.8336 15.1751 16.1664 15.1751 16.9883 14.4747L30.3835 3.06154C31.2055 2.36117 31.2055 1.22565 30.3835 0.525278C29.5615 -0.175091 28.2288 -0.175091 27.4068 0.525278L15.5 10.6703L3.5932 0.525277C2.7712 -0.175092 1.43849 -0.175092 0.616495 0.525277C-0.205498 1.22565 -0.205499 2.36117 0.616495 3.06154Z' fill='%23C60E4C'/></svg>");
  color: red;
  position: absolute;
  right: 22px;
  top: 50%;
  transform: translateY(-9px);
}

details[open] summary::before {
  content: url("data:image/svg+xml;charset=UTF-8,<svg xmlns='http://www.w3.org/2000/svg' version='1.1' height='15' width='31'><path fill-rule='evenodd' clip-rule='evenodd' d='M30.3835 11.9385L16.9883 0.525278C16.1664 -0.175092 14.8336 -0.175092 14.0116 0.525278L0.616493 11.9385C-0.2055 12.6388 -0.2055 13.7744 0.616493 14.4747C1.43849 15.1751 2.7712 15.1751 3.59319 14.4747L15.5 4.32967L27.4068 14.4747C28.2288 15.1751 29.5615 15.1751 30.3835 14.4747C31.2055 13.7744 31.2055 12.6388 30.3835 11.9385Z' fill='%23C60E4C'/></svg>");
  color: red;
  position: absolute;
  right: 22px;
}

.input-block {
  margin-bottom: 30px;
}

.check-block {
  display: flex;
  align-items: center;
  margin: 0 0 12px 22px;
}

.check-block label {
  margin: 0 0 0 10px;
  font-family: Regular;
}

.check-block:last-child {
  margin-bottom: 40px;
}

.last {
  margin-bottom: 0;
}

#other6 {
  margin-top: 30px;
}

#blockTwo, #blockThree, #blockFour {
  display: none;
}

.error {
  box-shadow: 0 0 15px red;
}

.done {
  margin: 0 auto 20px;
  display: flex;
}

.semi {
  font-family: Semi;
  font-weight: 600;
}

@media screen and (max-width: 520px) {
  .logo {
    margin-bottom: 40px;
  }
  .subhead {
    font-size: 16px;
  }
  .head {
    font-size: 20px;
    margin-bottom: 20px;
  }
  .input-block label {
    margin-bottom: 10px;
  }
  .btn {
    padding: 12px 50px;
    margin: 6px;
    font-size: 16px;
  }
  input, textarea {
    padding: 16px;
  }
  summary {
    font-size: 16px;
    margin-bottom: 20px;
    padding: 18px;
  }
  .check-block label {
    margin-bottom: 0;
  }
}
